    				 /*-------------------------------------------------------------+
					  |				         MP3Manager.h							|
					  |																|
					  |	sous se nom de class complexe se cache en fait un truc 		|
					  |	 relativement tres simple ( une sur couche a skysound koa )	|
					  |																|
					  | 	U2^PoPsy TeAm 2000										|
					  +-------------------------------------------------------------*/

#ifndef _MP3MANAGER_H_
#define _MP3MANAGER_H_

#include "skysound.h"	// ha la fameuse skysouuuuuuuund de notre cher ami TuO !


////////////////////////////////////////
class MP3Manager{

//------------------ datas 
private:

	double	LastPoll	;
	double	time		;
	double	PollTime	;

//------------------ Fonctions
public:

	MP3Manager()	;

	BOOL Load( LPCSTR nom, BOOL stereo=TRUE )	;

	void Play()	;
	void Stop()	;
	void Poll()	;
};
///////////////////////////////////////

#endif

